Another round of string clarification and adding TRANSLATORS comments.

This commit is contained in:
Vladimir 'phcoder' Serbinenko 2012-02-26 17:28:05 +01:00
parent ad7b7b8527
commit 67093bc0ed
56 changed files with 131 additions and 71 deletions

View File

@ -1,3 +1,7 @@
2012-02-25 Vladimir Serbinenko <phcoder@gmail.com>
Another round of string clarification and adding TRANSLATORS comments.
2012-02-25 Vladimir Serbinenko <phcoder@gmail.com>
* util/grub-mknetdir.in: Remove erroneous reference to install_device.

View File

@ -72,13 +72,13 @@ GRUB_MOD_INIT(configfile)
cmd_extractor_source =
grub_register_command ("extract_entries_source", grub_cmd_source,
N_("FILE"),
N_("Load another config file without changing context but take only menuentries.")
N_("Load another config file without changing context but take only menu entries.")
);
cmd_extractor_configfile =
grub_register_command ("extract_entries_configfile", grub_cmd_source,
N_("FILE"),
N_("Load another config file without changing context but take only menuentries.")
N_("Load another config file without changing context but take only menu entries.")
);
cmd_dot =

View File

@ -36,6 +36,10 @@ static grub_uint32_t *const int13slot = (grub_uint32_t *) (4 * 0x13);
/* Remember to update enum opt_idxs accordingly. */
static const struct grub_arg_option options[] = {
/* TRANSLATORS: In this file "mapping" refers to a change GRUB makes so if
your language doesn't have an equivalent of "mapping" you can
use the word like "rerouting".
*/
{"list", 'l', 0, N_("Show the current mappings."), 0, 0},
{"reset", 'r', 0, N_("Reset all mappings to the default values."), 0, 0},
{"swap", 's', 0, N_("Perform both direct and reverse mappings."), 0, 0},

View File

@ -183,6 +183,8 @@ grub_cmd_play (grub_command_t cmd __attribute__ ((unused)),
if (argc < 1)
return grub_error (GRUB_ERR_BAD_ARGUMENT,
/* TRANSLATORS: it's musical notes, not the notes
you take. */
N_("filename or tempo and notes expected"));
if (argc == 1)

View File

@ -100,6 +100,7 @@ GRUB_MOD_INIT(keystatus)
{
cmd = grub_register_extcmd ("keystatus", grub_cmd_keystatus, 0,
"[--shift] [--ctrl] [--alt]",
/* TRANSLATORS: there are 3 modifiers. */
N_("Check key modifier status."),
options);
}

View File

@ -808,7 +808,7 @@ GRUB_MOD_INIT(legacycfg)
cmd_check_password = grub_register_command ("legacy_check_password",
grub_cmd_legacy_check_password,
N_("[--md5] PASSWD [FILE]"),
N_("Simulate grub-legacy `password' command in menuentry mode"));
N_("Simulate grub-legacy `password' command in menu entry mode"));
}

View File

@ -197,8 +197,8 @@ disp_acpi_rsdpv2 (struct grub_acpi_rsdp_v20 *rsdp)
}
static const struct grub_arg_option options[] = {
{"v1", '1', 0, N_("Show v1 tables only."), 0, ARG_TYPE_NONE},
{"v2", '2', 0, N_("Show v2 and v3 tables only."), 0, ARG_TYPE_NONE}
{"v1", '1', 0, N_("Show version 1 tables only."), 0, ARG_TYPE_NONE},
{"v2", '2', 0, N_("Show version 2 and version 3 tables only."), 0, ARG_TYPE_NONE}
};
static grub_err_t

View File

@ -292,7 +292,7 @@ grub_menu_init (void)
cmd = grub_register_extcmd ("menuentry", grub_cmd_menuentry,
GRUB_COMMAND_FLAG_BLOCKS
| GRUB_COMMAND_FLAG_EXTRACTOR,
N_("BLOCK"), N_("Define a menuentry."), options);
N_("BLOCK"), N_("Define a menu entry."), options);
cmd_sub = grub_register_extcmd ("submenu", grub_cmd_menuentry,
GRUB_COMMAND_FLAG_BLOCKS
| GRUB_COMMAND_FLAG_EXTRACTOR,

View File

@ -57,6 +57,9 @@ grub_cmd_lsspd (grub_command_t cmd __attribute__ ((unused)),
{
struct grub_smbus_spd spd;
grub_memset (&spd, 0, sizeof (spd));
/* TRANSLATORS: it's shown in a report in a way
like number 1: ... number 2: ...
*/
grub_printf_ (N_("RAM slot number %d\n"), i);
err = grub_cs5536_read_spd (smbbase, i, &spd);
if (err)

View File

@ -139,6 +139,10 @@ grub_cmd_password (grub_command_t cmd __attribute__ ((unused)),
grub_free (pass->salt);
grub_free (pass);
return grub_error (GRUB_ERR_BAD_ARGUMENT,
/* TRANSLATORS: it means that the string which
was supposed to be a password hash doesn't
have a correct format, not to password
mismatch. */
N_("invalid PBKDF2 password"));
}

View File

@ -30,7 +30,7 @@ GRUB_MOD_LICENSE ("GPLv3+");
static const struct grub_arg_option options[] =
{
{"verbose", 'v', 0, N_("Verbose countdown."), 0, 0},
{"interruptible", 'i', 0, N_("Interruptible with ESC."), 0, 0},
{"interruptible", 'i', 0, N_("Allow to interrupt with ESC."), 0, 0},
{0, 0, 0, 0, 0, 0}
};

View File

@ -79,7 +79,7 @@ hook (const struct grub_video_mode_info *info)
if (info->mode_type & GRUB_VIDEO_MODE_TYPE_1BIT_BITMAP)
grub_xputs (_("Monochrome "));
if (info->mode_type & GRUB_VIDEO_MODE_TYPE_UNKNOWN)
grub_xputs (_("Unknown "));
grub_xputs (_("Unknown video mode "));
grub_xputs ("\n");

View File

@ -465,7 +465,7 @@ grub_biosdisk_rw (int cmd, grub_disk_t disk,
int i;
if (cmd)
return grub_error (GRUB_ERR_WRITE_ERROR, N_("cannot write to cdrom"));
return grub_error (GRUB_ERR_WRITE_ERROR, N_("cannot write to CD-ROM"));
for (i = 0; i < GRUB_BIOSDISK_CDROM_RETRY_COUNT; i++)
if (! grub_biosdisk_rw_int13_extensions (0x42, data->drive, dap))
@ -589,7 +589,7 @@ grub_biosdisk_write (grub_disk_t disk, grub_disk_addr_t sector,
struct grub_biosdisk_data *data = disk->data;
if (data->flags & GRUB_BIOSDISK_FLAG_CDROM)
return grub_error (GRUB_ERR_IO, N_("cannot write to cdrom"));
return grub_error (GRUB_ERR_IO, N_("cannot write to CD-ROM"));
while (size)
{

View File

@ -962,7 +962,9 @@ grub_util_ldm_embed (struct grub_disk *disk, unsigned int *nsectors,
#endif
if (lv->size < *nsectors)
return grub_error (GRUB_ERR_OUT_OF_RANGE,
N_("your LDM embed Partition is too small;"
/* TRANSLATORS: it's a partition for embedding,
not a partition embed into something. */
N_("your LDM embedding Partition is too small;"
" embedding won't be possible"));
*nsectors = lv->size;
*sectors = grub_malloc (*nsectors * sizeof (**sectors));
@ -976,6 +978,8 @@ grub_util_ldm_embed (struct grub_disk *disk, unsigned int *nsectors,
}
return grub_error (GRUB_ERR_FILE_NOT_FOUND,
/* TRANSLATORS: it's a partition for embedding,
not a partition embed into something. */
N_("this LDM has no Embedding Partition;"
" embedding won't be possible"));
}

View File

@ -719,7 +719,7 @@ grub_scsi_write (grub_disk_t disk __attribute((unused)),
scsi = disk->data;
if (scsi->devtype == grub_scsi_devtype_cdrom)
return grub_error (GRUB_ERR_IO, N_("cannot write to cdrom"));
return grub_error (GRUB_ERR_IO, N_("cannot write to CD-ROM"));
while (size)
{

View File

@ -153,11 +153,11 @@ print_vdev_info (char *nvlist, int tab)
print_tabs (tab);
if (!child)
{
grub_printf_ (N_("Mirror element %d isn't correct\n"), i);
grub_printf_ (N_("Mirror element number %d isn't correct\n"), i);
continue;
}
grub_printf_ (N_("Mirror element %d:\n"), i);
grub_printf_ (N_("Mirror element number %d:\n"), i);
print_vdev_info (child, tab + 1);
grub_free (child);
@ -299,6 +299,9 @@ grub_cmd_zfsinfo (grub_command_t cmd __attribute__ ((unused)), int argc,
nv = grub_zfs_nvlist_lookup_nvlist (nvlist, ZPOOL_CONFIG_VDEV_TREE);
if (!nv)
/* TRANSLATORS: There are undetermined number of virtual devices
in a device tree, not just one.
*/
grub_puts_ (N_("No virtual device tree available"));
else
print_vdev_info (nv, 1);
@ -401,7 +404,7 @@ GRUB_MOD_INIT (zfsinfo)
N_("Print ZFS info about DEVICE."));
cmd_bootfs = grub_register_command ("zfs-bootfs", grub_cmd_zfs_bootfs,
N_("FILESYSTEM [VARIABLE]"),
N_("Print ZFS-BOOTFSOBJ or set it to VARIABLE"));
N_("Print ZFS-BOOTFSOBJ or store it into VARIABLE"));
}
GRUB_MOD_FINI (zfsinfo)

View File

@ -391,6 +391,10 @@ GRUB_MOD_INIT (gettext)
grub_register_command_p1 ("gettext", grub_cmd_translate,
N_("STRING"),
/* TRANSLATORS: It refers to passing the string through gettext.
So it's "translate" in the same meaning as in what you're
doing now.
*/
N_("Translates the string with the current settings."));
/* Reload .mo file information if lang changes. */

View File

@ -224,7 +224,7 @@ grub_dl_check_header (void *ehdr, grub_size_t size)
|| e->e_ident[EI_MAG3] != ELFMAG3
|| e->e_ident[EI_VERSION] != EV_CURRENT
|| e->e_version != EV_CURRENT)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch independent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-independent ELF magic"));
err = grub_arch_dl_check_header (ehdr);
if (err)

View File

@ -40,7 +40,7 @@ grub_elf_check_header (grub_elf_t elf)
|| e->e_ident[EI_MAG3] != ELFMAG3
|| e->e_ident[EI_VERSION] != EV_CURRENT
|| e->e_version != EV_CURRENT)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch independent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-independent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -772,6 +772,7 @@ grub_hostdisk_os_dev_to_grub_drive (const char *os_disk, int add)
return NULL;
if (i == ARRAY_SIZE (map))
/* TRANSLATORS: it refers to the lack of free slots. */
grub_util_error ("%s", _("device count exceeds limit"));
map[i].device = xstrdup (os_disk);
@ -1192,7 +1193,7 @@ read_device_map (const char *dev_map)
/* Find a free slot. */
drive = find_free_slot ();
if (drive < 0)
show_error (_("Map table size exceeded"));
show_error (_("device count exceeds limit"));
e = p;
p = strchr (p, ')');

View File

@ -85,6 +85,7 @@ grub_machine_fini (void)
static struct argp_option options[] = {
{"root", 'r', N_("DEVICE_NAME"), 0, N_("Set root device."), 2},
{"device-map", 'm', N_("FILE"), 0,
/* TRANSLATORS: There are many devices in device map. */
N_("use FILE as the device map [default=%s]"), 0},
{"directory", 'd', N_("DIR"), 0,
N_("use GRUB files in the directory DIR [default=%s]"), 0},
@ -143,7 +144,8 @@ argp_parser (int key, char *arg, struct argp_state *state)
case ARGP_KEY_ARG:
{
/* Too many arguments. */
fprintf (stderr, _("Unknown extra argument `%s'.\n"), arg);
fprintf (stderr, _("Unknown extra argument `%s'."), arg);
fprintf (stderr, "\n");
argp_usage (state);
}
break;

View File

@ -70,7 +70,7 @@ grub_util_warn (const char *fmt, ...)
{
va_list ap;
fprintf (stderr, _("%s: warn:"), program_name);
fprintf (stderr, _("%s: warning:"), program_name);
fprintf (stderr, " ");
va_start (ap, fmt);
vfprintf (stderr, fmt, ap);

View File

@ -33,7 +33,7 @@ grub_arch_dl_check_header (void *ehdr)
if (e->e_ident[EI_CLASS] != ELFCLASS32
|| e->e_ident[EI_DATA] != ELFDATA2LSB
|| e->e_machine != EM_386)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -34,7 +34,7 @@ grub_arch_dl_check_header (void *ehdr)
if (e->e_ident[EI_CLASS] != ELFCLASS64
|| e->e_ident[EI_DATA] != ELFDATA2LSB
|| e->e_machine != EM_IA_64)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -44,7 +44,7 @@ grub_arch_dl_check_header (void *ehdr)
|| e->e_ident[EI_DATA] != ELFDATA2LSB
|| e->e_machine != EM_MIPS)
#endif
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -33,7 +33,7 @@ grub_arch_dl_check_header (void *ehdr)
if (e->e_ident[EI_CLASS] != ELFCLASS32
|| e->e_ident[EI_DATA] != ELFDATA2MSB
|| e->e_machine != EM_PPC)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -33,7 +33,7 @@ grub_arch_dl_check_header (void *ehdr)
if (e->e_ident[EI_CLASS] != ELFCLASS64
|| e->e_ident[EI_DATA] != ELFDATA2MSB
|| e->e_machine != EM_SPARCV9)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -33,7 +33,7 @@ grub_arch_dl_check_header (void *ehdr)
if (e->e_ident[EI_CLASS] != ELFCLASS64
|| e->e_ident[EI_DATA] != ELFDATA2LSB
|| e->e_machine != EM_X86_64)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
return GRUB_ERR_NONE;
}

View File

@ -99,7 +99,7 @@ static const struct grub_arg_option freebsd_opts[] =
{"dual", 'D', 0, N_("Display output on all consoles."), 0, 0},
{"serial", 'h', 0, N_("Use serial console."), 0, 0},
{"askname", 'a', 0, N_("Ask for file name to reboot from."), 0, 0},
{"cdrom", 'C', 0, N_("Use CDROM as root."), 0, 0},
{"cdrom", 'C', 0, N_("Use CD-ROM as root."), 0, 0},
{"config", 'c', 0, N_("Invoke user configuration routing."), 0, 0},
{"kdb", 'd', 0, N_("Enter in KDB on boot."), 0, 0},
{"gdb", 'g', 0, N_("Use GDB remote debugger instead of DDB."), 0, 0},
@ -1399,7 +1399,7 @@ grub_bsd_load_elf (grub_elf_t elf, const char *filename)
kern_chunk_src, &openbsd_ramdisk);
}
else
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
}
static grub_err_t
@ -2082,6 +2082,8 @@ GRUB_MOD_INIT (bsd)
cmd_openbsd_ramdisk = grub_register_command ("kopenbsd_ramdisk",
grub_cmd_openbsd_ramdisk, 0,
/* TRANSLATORS: ramdisk isn't identifier,
it can be translated. */
N_("Load kOpenBSD ramdisk."));
my_mod = mod;

View File

@ -43,10 +43,10 @@ read_headers (grub_file_t file, const char *filename, Elf_Ehdr *e, char **shdr)
|| e->e_ident[EI_MAG3] != ELFMAG3
|| e->e_ident[EI_VERSION] != EV_CURRENT
|| e->e_version != EV_CURRENT)
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch independent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-independent ELF magic"));
if (e->e_ident[EI_CLASS] != SUFFIX (ELFCLASS))
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
*shdr = grub_malloc (e->e_shnum * e->e_shentsize);
if (! *shdr)

View File

@ -814,9 +814,9 @@ grub_cmd_linux (grub_command_t cmd __attribute__ ((unused)),
case GRUB_LINUX_VID_MODE_NORMAL:
grub_env_set ("gfxpayload", "text");
grub_printf_ (N_("%s is deprecated. "
"Use set gfxpayload=text before "
"linux command instead.\n"),
argv[i]);
"Use set gfxpayload=%s before "
"linux command instead.\n"), "text",
argv[i]);
break;
case 1:
@ -824,9 +824,9 @@ grub_cmd_linux (grub_command_t cmd __attribute__ ((unused)),
/* FIXME: support 80x50 text. */
grub_env_set ("gfxpayload", "text");
grub_printf_ (N_("%s is deprecated. "
"Use set gfxpayload=text before "
"linux command instead.\n"),
argv[i]);
"Use set gfxpayload=%s before "
"linux command instead.\n"), "text",
argv[i]);
break;
default:
/* Ignore invalid values. */

View File

@ -49,6 +49,12 @@ static grub_uint32_t eip = 0xffffffff;
static const struct grub_arg_option options[] =
{
{"map", 'm', GRUB_ARG_OPTION_REPEATABLE,
/* TRANSLATORS: it's about guessing which GRUB disk
is which Plan9 disk. If your language has no
word "mapping" you can use another word which
means that the GRUBDEVICE and PLAN9DEVICE are
actually the same device, just named differently
in OS and GRUB. */
N_("Override guessed mapping of Plan9 devices."),
N_("GRUBDEVICE=PLAN9DEVICE"),
ARG_TYPE_STRING},

View File

@ -372,13 +372,13 @@ grub_load_elf64 (grub_file_t file, void *buffer, const char *filename)
|| ehdr->e_ident[EI_MAG3] != ELFMAG3
|| ehdr->e_ident[EI_DATA] != ELFDATA2LSB)
return grub_error(GRUB_ERR_UNKNOWN_OS,
N_("invalid arch independent ELF magic"));
N_("invalid arch-independent ELF magic"));
if (ehdr->e_ident[EI_CLASS] != ELFCLASS64
|| ehdr->e_version != EV_CURRENT
|| ehdr->e_machine != EM_IA_64)
return grub_error (GRUB_ERR_UNKNOWN_OS,
N_("invalid arch dependent ELF magic"));
N_("invalid arch-dependent ELF magic"));
if (ehdr->e_type != ET_EXEC)
return grub_error (GRUB_ERR_UNKNOWN_OS,

View File

@ -323,7 +323,7 @@ grub_cmd_linux (grub_command_t cmd __attribute__ ((unused)),
if (grub_elf_is_elf64 (elf))
err = grub_linux_load64 (elf, argv[0], &extra, size);
else
err = grub_error (GRUB_ERR_BAD_OS, N_("invalid arch dependent ELF magic"));
err = grub_error (GRUB_ERR_BAD_OS, N_("invalid arch-dependent ELF magic"));
grub_elf_close (elf);

View File

@ -171,7 +171,7 @@ grub_multiboot_load_elf (grub_file_t file, const char *filename,
else if (grub_multiboot_is_elf64 (buffer))
return grub_multiboot_load_elf64 (file, filename, buffer);
return grub_error (GRUB_ERR_UNKNOWN_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_UNKNOWN_OS, N_("invalid arch-dependent ELF magic"));
}
grub_err_t

View File

@ -62,11 +62,11 @@ CONCAT(grub_multiboot_load_elf, XX) (grub_file_t file, const char *filename, voi
|| ehdr->e_ident[EI_MAG2] != ELFMAG2
|| ehdr->e_ident[EI_MAG3] != ELFMAG3
|| ehdr->e_ident[EI_DATA] != ELFDATA2LSB)
return grub_error(GRUB_ERR_UNKNOWN_OS, N_("invalid arch independent ELF magic"));
return grub_error(GRUB_ERR_UNKNOWN_OS, N_("invalid arch-independent ELF magic"));
if (ehdr->e_ident[EI_CLASS] != ELFCLASSXX || ehdr->e_machine != E_MACHINE
|| ehdr->e_version != EV_CURRENT)
return grub_error (GRUB_ERR_UNKNOWN_OS, N_("invalid arch dependent ELF magic"));
return grub_error (GRUB_ERR_UNKNOWN_OS, N_("invalid arch-dependent ELF magic"));
if (ehdr->e_type != ET_EXEC && ehdr->e_type != ET_DYN)
return grub_error (GRUB_ERR_UNKNOWN_OS, N_("this ELF file is not of the right type"));

View File

@ -280,7 +280,7 @@ grub_cmd_linux (grub_command_t cmd __attribute__ ((unused)),
grub_linux_load64 (elf, argv[0]);
else
{
grub_error (GRUB_ERR_BAD_FILE_TYPE, N_("invalid arch dependent ELF magic"));
grub_error (GRUB_ERR_BAD_FILE_TYPE, N_("invalid arch-dependent ELF magic"));
goto out;
}

View File

@ -330,7 +330,7 @@ grub_cmd_linux (grub_command_t cmd __attribute__ ((unused)),
grub_linux_load64 (elf, argv[0]);
else
{
grub_error (GRUB_ERR_BAD_FILE_TYPE, N_("invalid arch dependent ELF magic"));
grub_error (GRUB_ERR_BAD_FILE_TYPE, N_("invalid arch-dependent ELF magic"));
goto out;
}

View File

@ -1460,8 +1460,11 @@ GRUB_MOD_INIT(xnu)
GNU/Linux runlevels.
*/
N_("DIRECTORY [OSBundleRequired]"),
/* TRANSLATORS: There are many extensions
in extension directory. */
N_("Load XNU extension directory."));
cmd_ramdisk = grub_register_command ("xnu_ramdisk", grub_cmd_xnu_ramdisk, 0,
/* TRANSLATORS: ramdisk here isn't identifier. It can be translated. */
N_("Load XNU ramdisk. "
"It will be available in OS as md0."));
cmd_splash = grub_register_extcmd ("xnu_splash",
@ -1472,7 +1475,7 @@ GRUB_MOD_INIT(xnu)
#ifndef GRUB_MACHINE_EMU
cmd_resume = grub_register_command ("xnu_resume", grub_cmd_xnu_resume,
0, N_("Load an image of hibernated"
" XNU image."));
" XNU."));
#endif
grub_cpu_xnu_init ();

View File

@ -174,7 +174,7 @@ gpt_partition_map_embed (struct grub_disk *disk_, unsigned int *nsectors,
if (len == 0)
return grub_error (GRUB_ERR_FILE_NOT_FOUND,
N_("this GPT partition label has no BIOS Boot Partition;"
N_("this GPT partition label contains no BIOS Boot Partition;"
" embedding won't be possible"));
if (len < *nsectors)

View File

@ -167,6 +167,8 @@ grub_script_return (grub_command_t cmd __attribute__((unused)),
if (! scope || argc > 1)
return grub_error (GRUB_ERR_BAD_ARGUMENT,
/* TRANSLATORS: it's about not being
inside a function. */
N_("not in function scope"));
if (argc == 0)

View File

@ -1234,7 +1234,7 @@ grub_util_pull_device (const char *os_dev)
grub_err_t err;
err = grub_cryptodisk_cheat_mount (grdev, os_dev);
if (err)
grub_util_error (_("can't mount crypto volume `%s': %s"),
grub_util_error (_("can't mount encrypted volume `%s': %s"),
lastsubdev, grub_errmsg);
}
@ -1279,7 +1279,7 @@ grub_util_pull_device (const char *os_dev)
grub_err_t err;
err = grub_cryptodisk_cheat_mount (grdev, os_dev);
if (err)
grub_util_error (_("can't mount crypto volume `%s': %s"),
grub_util_error (_("can't mount encrypted volume `%s': %s"),
lastsubdev, grub_errmsg);
}
grub_free (grdev);

View File

@ -87,9 +87,9 @@ fi
usage () {
if [ "${target_cpu}-${platform}" = "i386-pc" ] \
|| [ "${target_cpu}-${platform}" = "sparc64-ieee1275" ]; then
gettext_printf "Usage: %s [OPTION] install_device" "$self"
gettext_printf "Usage: %s [OPTION] INSTALL_DEVICE" "$self"
else
gettext_printf "Usage: %s [OPTION] [install_device]" "$self"
gettext_printf "Usage: %s [OPTION] [INSTALL_DEVICE]" "$self"
fi
echo
gettext "Install GRUB on your drive." ; echo
@ -247,7 +247,7 @@ do
;;
*)
if test "x$install_device" != x; then
gettext "More than one install_devices?" 1>&2
gettext "More than one install device?" 1>&2
echo 1>&2
usage
exit 1

View File

@ -1353,6 +1353,7 @@ generate_image (const char *dir, const char *prefix,
GRUB_MD_SHA512->final (context);
if (grub_memcmp (GRUB_MD_SHA512->read (context), fwstart_good_hash,
GRUB_MD_SHA512->mdlen) != 0)
/* TRANSLATORS: fwstart.img may still be good, just it wasn't checked. */
grub_util_warn ("%s",
_("fwstart.img doesn't match the known good version. "
"proceed at your own risk"));
@ -1639,9 +1640,13 @@ generate_image (const char *dir, const char *prefix,
static struct argp_option options[] = {
{"directory", 'd', N_("DIR"), 0, N_("use images and modules under DIR [default=%s/<platform>]"), 0},
{"directory", 'd', N_("DIR"), 0,
/* TRANSLATORS: platform here isn't identifier. It can be translated. */
N_("use images and modules under DIR [default=%s/<platform>]"), 0},
{"prefix", 'p', N_("DIR"), 0, N_("set prefix directory [default=%s]"), 0},
{"memdisk", 'm', N_("FILE"), 0, N_("embed FILE as a memdisk image"), 0},
{"memdisk", 'm', N_("FILE"), 0,
/* TRANSLATORS: memdisk here isn't an identifier, it can be translated. */
N_("embed FILE as a memdisk image"), 0},
{"config", 'c', N_("FILE"), 0, N_("embed FILE as an early config"), 0},
/* TRANSLATORS: NOTE is a name of segment. */
{"note", 'n', 0, 0, N_("add NOTE segment for CHRP IEEE1275"), 0},

View File

@ -166,6 +166,7 @@ main (int argc, char *argv[])
memset (pass2, 0, sizeof (pass2));
#if ! defined (__linux__) && ! defined (__FreeBSD__)
/* TRANSLATORS: The generator might still be secure just GRUB isn't sure about it. */
printf ("%s", _("WARNING: your random generator isn't known to be secure\n"));
#endif

View File

@ -54,7 +54,8 @@ argp_parser (int key, char *arg, struct argp_state *state)
else
{
/* Too many arguments. */
fprintf (stderr, _("Unknown extra argument `%s'.\n"), arg);
fprintf (stderr, _("Unknown extra argument `%s'."), arg);
fprintf (stderr, "\n");
argp_usage (state);
}
break;

View File

@ -55,7 +55,7 @@ xorriso=xorriso
# Print the usage.
usage () {
gettext_printf "Usage: %s [OPTION] SOURCE...\n" "$self"
gettext "Make GRUB CDROM, disk, pendrive and floppy bootable image."; echo
gettext "Make GRUB CD-ROM, disk, pendrive and floppy bootable image."; echo
echo
printf " -h, --help %s\n" "$(gettext "print this message and exit")"
printf " -v, --version %s\n" "$(gettext "print the version information and exit")"

View File

@ -57,6 +57,7 @@ usage () {
printf " -h, --help %s\n" "$(gettext "print this message and exit")"
printf " -v, --version %s\n" "$(gettext "print the version information and exit")"
printf " -o, --output=%-11s%s\n" "$(gettext FILE)" "$(gettext "save output in FILE [required]")"
# TRANSLATORS: platform here isn't identifier. It can be translated.
dir_msg="$(gettext_printf "use images and modules under DIR [default=%s/<platform>]" "${libdir}/$(echo ${PACKAGE_TARNAME} | sed ${transform})")"
printf " -d, --directory=%-8s%s\n" \
"DIR" "$dir_msg"

View File

@ -838,7 +838,8 @@ main (int argc, char *argv[])
if (arguments.ndevices != 1 && !argument_is_device)
{
char *program = xstrdup(program_name);
fprintf (stderr, _("Unknown extra argument `%s'.\n"), argv[optind + 1]);
fprintf (stderr, _("Unknown extra argument `%s'."), arguments.devices[1]);
fprintf (stderr, "\n");
argp_help (&argp, stderr, ARGP_HELP_STD_USAGE, program);
free (program);
exit(1);

View File

@ -42,15 +42,15 @@ grubdir=`echo "/@bootdirname@/@grubdirname@" | sed 's,//*,/,g'`
# Usage: usage
# Print the usage.
usage () {
gettext_printf "Usage: %s [OPTION] entry\n" "$self"
gettext "Set the default boot entry for GRUB, for the next boot only."; echo
gettext_printf "Usage: %s [OPTION] MENU_ENTRY\n" "$self"
gettext "Set the default boot menu entry for GRUB, for the next boot only."; echo
echo
printf " -h, --help %s\n" "$(gettext "print this message and exit")"
printf " -v, --version %s\n" "$(gettext "print the version information and exit")"
dirmsg="$(gettext_printf "expect GRUB images under the directory DIR/%s instead of the %s directory" "@grubdirname@" "$grubdir")"
printf " --boot-directory=%-7s%s\n" "$(gettext "DIR")" "$dirmsg"
echo
gettext "ENTRY is a number or a menu item title."; echo
gettext "MENU_ENTRY is a number or a menu item title."; echo
echo
gettext "Report bugs to <bug-grub@gnu.org>."; echo
}
@ -92,13 +92,13 @@ do
bootdir=`echo "$option" | sed 's/--boot-directory=//'` ;;
-*)
gettext_printf "Unrecognized option \`%s'" "$option" 1>&2
gettext_printf "Unrecognized option \`%s'\n" "$option" 1>&2
usage
exit 1
;;
*)
if test "x$entry" != x; then
gettext "More than one entry?" 1>&2
gettext "More than one menu entry?" 1>&2
echo >&2
usage
exit 1
@ -108,7 +108,7 @@ do
done
if test "x$entry" = x; then
gettext "entry not specified." 1>&2
gettext "menu entry not specified." 1>&2
echo >&2
usage
exit 1

View File

@ -68,7 +68,8 @@ argp_parser (int key, char *arg, struct argp_state *state)
else
{
/* Too many arguments. */
fprintf (stderr, _("Unknown extra argument `%s'.\n"), arg);
fprintf (stderr, _("Unknown extra argument `%s'."), arg);
fprintf (stderr, "\n");
argp_usage (state);
}
break;

View File

@ -42,15 +42,15 @@ grubdir=`echo "/@bootdirname@/@grubdirname@" | sed 's,//*,/,g'`
# Usage: usage
# Print the usage.
usage () {
gettext_printf "Usage: %s [OPTION] entry\n" "$self"
gettext "Set the default boot entry for GRUB."; echo
gettext_printf "Usage: %s [OPTION] MENU_ENTRY\n" "$self"
gettext "Set the default boot menu entry for GRUB."; echo
echo
printf " -h, --help %s\n" "$(gettext "print this message and exit")"
printf " -v, --version %s\n" "$(gettext "print the version information and exit")"
dirmsg="$(printf "expect GRUB images under the directory DIR/%s instead of the %s directory" "@grubdirname@" "$grubdir")"
printf " --boot-directory=%-7s%s\n" "$(gettext "DIR")" "$dirmsg"
echo
gettext "ENTRY is a number or a menu item title."; echo
gettext "MENU_ENTRY is a number or a menu item title."; echo
echo
gettext "Report bugs to <bug-grub@gnu.org>."; echo
}
@ -92,13 +92,13 @@ do
bootdir=`echo "$option" | sed 's/--boot-directory=//'` ;;
-*)
gettext_printf "Unrecognized option \`%s'" "$option" 1>&2
gettext_printf "Unrecognized option \`%s'\n" "$option" 1>&2
usage
exit 1
;;
*)
if test "x$entry" != x; then
gettext "More than one entry?" 1>&2
gettext "More than one menu entry?" 1>&2
echo >&2
usage
exit 1
@ -108,7 +108,7 @@ do
done
if test "x$entry" = x; then
gettext "entry not specified." 1>&2
gettext "menu entry not specified." 1>&2
echo >&2
usage
exit 1

View File

@ -381,6 +381,7 @@ setup (const char *dir,
grub_util_error (_("unable to identify a filesystem in %s; safety check can't be performed"),
dest_dev->disk->name);
if (fs && !fs->reserved_first_sector)
/* TRANSLATORS: Filesystem may reserve the space just GRUB isn't sure about it. */
grub_util_error (_("%s appears to contain a %s filesystem which isn't known to "
"reserve space for DOS-style boot. Installing GRUB there could "
"result in FILESYSTEM DESTRUCTION if valuable data is overwritten "
@ -393,6 +394,7 @@ setup (const char *dir,
&& strcmp (dest_partmap->name, "netbsd") != 0
&& strcmp (dest_partmap->name, "openbsd") != 0
&& strcmp (dest_partmap->name, "sunpc") != 0)
/* TRANSLATORS: Partition map may reserve the space just GRUB isn't sure about it. */
grub_util_error (_("%s appears to contain a %s partition map which isn't known to "
"reserve space for DOS-style boot. Installing GRUB there could "
"result in FILESYSTEM DESTRUCTION if valuable data is overwritten "
@ -853,7 +855,8 @@ argp_parser (int key, char *arg, struct argp_state *state)
else
{
/* Too many arguments. */
fprintf (stderr, _("Unknown extra argument `%s'.\n"), arg);
fprintf (stderr, _("Unknown extra argument `%s'."), arg);
fprintf (stderr, "\n");
argp_usage (state);
}
break;

View File

@ -119,6 +119,7 @@ EOF
linux ${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro ${args}
EOF
if test -n "${initrd}" ; then
# TRANSLATORS: ramdisk isn't identifier. Should be translated.
message="$(gettext_printf "Loading initial ramdisk ...")"
cat << EOF
echo '$message'

View File

@ -98,6 +98,7 @@ linux_entry ()
module ${rel_dirname}/${basename} placeholder root=${linux_root_device_thisversion} ro ${args}
EOF
if test -n "${initrd}" ; then
# TRANSLATORS: ramdisk isn't identifier. Should be translated.
message="$(gettext_printf "Loading initial ramdisk ...")"
cat << EOF
echo '$message'

View File

@ -46,7 +46,7 @@ grub_mkimage="${bindir}/`echo grub-mkimage | sed ${transform}`"
# Print the usage.
usage () {
gettext_printf "Usage: %s [OPTION] SOURCE...\n" "$self"
gettext "Make GRUB CDROM, disk, pendrive and floppy bootable image."; echo
gettext "Make GRUB CD-ROM, disk, pendrive and floppy bootable image."; echo
echo
printf " -h, --help %s\n" "$(gettext "print this message and exit")"
printf " -v, --version %s\n" "$(gettext "print the version information and exit")"